## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           libXISF
Version:        0.2.0
Release:        %autorelease
Summary:        Library to load and write XISF format
License:        GPL-3.0-or-later
URL:            https://gitea.nouspiro.space/nou/libXISF
# Source at URL %%{url}/archive/v%%{version}.tar.gz
# is renamed as %%{name}-v%%{version}.tar.gz
Source0:        %{name}-v%{version}.tar.gz

# backport https://gitea.nouspiro.space/nou/libXISF/commit/83f12a434ce1c1fb7989110a8a11ec03c105fd85
Patch:          libxisf-fix_pugixml_include.patch
# backport https://gitea.nouspiro.space/nou/libXISF/commit/dd66850fdf6e63d9f71d59b0b921fccca9cb0347
Patch:          libxisf-fix_lz4_test.patch

BuildRequires:  cmake >= 3.14
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(liblz4)
BuildRequires:  pkgconfig(pugixml)
BuildRequires:  pkgconfig(zlib)


%description
LibXISF is C++ library to load and save images in XISF format that
is native format PixInsight astronomical image processing program.
It implements XISF 1.0 specifications.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1 -n libxisf

# remove bundled libraries
for d in "lz4" "pugixml" "zlib"
do
  rm -rf $d
done


%build
%cmake \
    -DBUILD_SHARED_LIBS=ON \
    -DUSE_BUNDLED_LIBS=OFF
%cmake_build


%install
%cmake_install


%check
%ctest


%files
%license LICENSE
%doc README.md
%{_libdir}/%{name}.so.0
%{_libdir}/%{name}.so.%{version}


%files devel
%{_includedir}/%{name}_global.h
%{_includedir}/libxisf.h
%{_libdir}/%{name}.so


%changelog
* Sat Mar 18 2023 John Doe <packager@example.com> - 0.2.0-1
- Uncommitted changes
